com.h3c.sdn.log

## Class LogEntry

- java.lang.Object
- - com.h3c.sdn.log.LogEntry

-     public class LogEntry
      extends Object

  Stores an immutable log entry.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogEntry(long id, long ts, String level, String thread, String logger, String msg)` Stores a log entry.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `id()` Returns the ID for this log entry.
    `String` | `level()` Returns the logging level for this log entry.
    `String` | `logger()` Returns the logger name for this log entry.
    `String` | `msg()` Returns the message text for this log entry.
    `String` | `thread()` Returns the thread name for this log entry.
    `String` | `toString()`
    `long` | `ts()` Returns the time stamp for this log entry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogEntry

          public LogEntry(long id,
                  long ts,
                  String level,
                  String thread,
                  String logger,
                  String msg)

      Stores a log entry.
      Parameters:
        `id` - the distinct ID
        `ts` - the time stamp
        `level` - the logging level
        `thread` - the thread name
        `logger` - the logger name
        `msg` - the message text

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### id

          public long id()

      Returns the ID for this log entry.
      Returns:
        the ID

    - #### ts

          public long ts()

      Returns the time stamp for this log entry.
      Returns:
        the time stamp

    - #### level

          public String level()

      Returns the logging level for this log entry.
      Returns:
        the logging level

    - #### thread

          public String thread()

      Returns the thread name for this log entry.
      Returns:
        the thread name

    - #### logger

          public String logger()

      Returns the logger name for this log entry.
      Returns:
        the logger name

    - #### msg

          public String msg()

      Returns the message text for this log entry.
      Returns:
        the message text

Copyright © 2014. All Rights Reserved.